# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Refer to the [CONTRIBUTING guide](https://github.com/lightspeedretail/cirrus/blob/master/.github/CONTRIBUTING.md) for more info.

## 4.0.1 - 2019-09-05

### Fixed

- Update LICENSE.md ([#872](https://github.com/lightspeedretail/cirrus/pull/872))

## 4.0.0 - 2019-08-29

### Breaking

- Removed complete theme and component theme generation from cirrus-tokens (including distributable builds) ([#856](https://github.com/lightspeedretail/cirrus/pull/856))
- Removed `utils/index.js`. Instead, please rely on using themeGet and follow the theme-ui specs for what properties are exposed ([#856](https://github.com/lightspeedretail/cirrus/pull/856))

### Added

- Full conversion to TS ([#856](https://github.com/lightspeedretail/cirrus/pull/856))
- CommonJS and ESM dist files ([#856](https://github.com/lightspeedretail/cirrus/pull/856))

## 3.8.2 - 2019-08-27

### Fixed

- Add `validate-build` step for `prepublish`, run before publishing workflow ([#862](https://github.com/lightspeedretail/cirrus/pull/862))

## 3.8.1 - 2019-08-08

### Fixed

- Remove link to development documentation for tokens, available in [README](./README.md) ([#828](https://github.com/lightspeedretail/cirrus/pull/828))

## 3.8.0 - 2019-07-23

### Added

- NPS styles to theme ([#808](https://github.com/lightspeedretail/cirrus/pull/808))

## 3.7.4 - 2019-07-02

### Fixed

- Added detail colors for button icons with fill variant ([#790](https://github.com/lightspeedretail/cirrus/pull/790))

## 3.7.3 - 2019-06-25

### Fixed

- Use `setLightness` for table row hover color, prevents weird behaviour when dragging rows ([#780](https://github.com/lightspeedretail/cirrus/pull/780))

## 3.7.2 - 2019-06-14

### Fixed

- Apply the right colors on buttonIconVariants for flame theme ([#779](https://github.com/lightspeedretail/cirrus/pull/779))

## 3.7.1 - 2019-05-28

### Fixed

- Added back color values for hover pseudo-class on button to avoid specificity issues with anchor elements ([#756](https://github.com/lightspeedretail/cirrus/pull/756))

## 3.7.0 - 2019-05-13

### Added

- Add gray-850 and gray-950 to lightspeed theme ([#746](https://github.com/lightspeedretail/cirrus/pull/746))

## 3.6.0 - 2019-05-10

Stable release of `3.6.0`, same CHANGELOG as `3.6.0-beta.1`:

### Added

- Updated theme generation script to target the theme folder ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- `default` theme is now named `oldskool` ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- Themes should now also include per component styling. This is due to a change on Cirrus, in which components no longer refer to color values directly ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- Added new component theme file for Wordmark
- Added new theme folder for the new colors

## 3.6.0-beta.2 - 2019-04-25

- Version bump because lerna

## 3.6.0-beta.1 - 2019-04-23

### Added

- Updated theme generation script to target the theme folder ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- `default` theme is now named `oldskool` ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- Themes should now also include per component styling. This is due to a change on Cirrus, in which components no longer refer to color values directly ([#671](https://github.com/lightspeedretail/cirrus/pull/671))
- Added new component theme file for Wordmark
- Added new theme folder for the new colors

## 3.5.1 - 2019-01-29

### Fixed

- Use `@lightspeed/config-prettier`, re-format all files ([#612](https://github.com/lightspeedretail/cirrus/pull/612))

## 3.5.0 - 2018-12-12

### Added

- Add `innerShadowsN` to the theme ([#554](https://github.com/lightspeedretail/cirrus/pull/554))

## 3.4.0 - 2018-12-03

### Added

- Add yarn script to generate UMD version of theme object ([#537](https://github.com/lightspeedretail/cirrus/pull/537))

---

<a name="3.3.0"></a>

# [3.3.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@3.2.1...@lightspeed/cirrus-tokens@3.3.0) (2018-11-15)

### Features

- **token:** Add breakpoints to theme generation script ([#514](https://github.com/lightspeedretail/cirrus/issues/514)) ([7a23732](https://github.com/lightspeedretail/cirrus/commit/7a23732))

<a name="3.2.1"></a>

## [3.2.1](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@3.2.0...@lightspeed/cirrus-tokens@3.2.1) (2018-11-13)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="3.2.0"></a>

# [3.2.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@3.1.0...@lightspeed/cirrus-tokens@3.2.0) (2018-11-13)

### Features

- **tokens:** Add theme generation-script. Add new core package ([#511](https://github.com/lightspeedretail/cirrus/issues/511)) ([463af70](https://github.com/lightspeedretail/cirrus/commit/463af70))

<a name="3.1.0"></a>

# [3.1.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@3.0.0...@lightspeed/cirrus-tokens@3.1.0) (2018-11-12)

### Features

- **tokens:** update cr-inner-shadow-1 value ([#508](https://github.com/lightspeedretail/cirrus/issues/508)) ([297b342](https://github.com/lightspeedretail/cirrus/commit/297b342))

<a name="3.0.0"></a>

# [3.0.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.8.0...@lightspeed/cirrus-tokens@3.0.0) (2018-10-15)

- Colour & Style refresh (#492) ([30bbb53](https://github.com/lightspeedretail/cirrus/commit/30bbb53)), closes [#492](https://github.com/lightspeedretail/cirrus/issues/492)

### BREAKING CHANGES

- Styling and colour adjustments for the following components:

* Button
* Select
* Radio
* Checkbox
* Modal Header shadow
* Card shadow style
* Alert

Most changes are done at the sass level and are simple colour replacement or removal of properties, namely box shadows.

<a name="2.8.0"></a>

# [2.8.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.7.1...@lightspeed/cirrus-tokens@2.8.0) (2018-07-05)

### Features

- **tokens:** Add token helper functions ([#449](https://github.com/lightspeedretail/cirrus/issues/449)) ([4ad3f8e](https://github.com/lightspeedretail/cirrus/commit/4ad3f8e))

<a name="2.7.1"></a>

## [2.7.1](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.7.0...@lightspeed/cirrus-tokens@2.7.1) (2018-03-16)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.7.0"></a>

# [2.7.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.6.0...@lightspeed/cirrus-tokens@2.7.0) (2018-02-28)

### Features

- **tokens:** Shadows now visually aligned with original design ([#376](https://github.com/lightspeedretail/cirrus/issues/376)) ([871cccc](https://github.com/lightspeedretail/cirrus/commit/871cccc))

<a name="2.6.0"></a>

# [2.6.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.5.0...@lightspeed/cirrus-tokens@2.6.0) (2018-02-22)

### Features

- **icon:** Add fill utility classes ([#367](https://github.com/lightspeedretail/cirrus/issues/367)) ([e12c9c9](https://github.com/lightspeedretail/cirrus/commit/e12c9c9))
- **tokens:** add border shadow and update documentation ([#370](https://github.com/lightspeedretail/cirrus/issues/370)) ([dc6ebef](https://github.com/lightspeedretail/cirrus/commit/dc6ebef))

<a name="2.5.0"></a>

# [2.5.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.4.0...@lightspeed/cirrus-tokens@2.5.0) (2018-02-19)

### Features

- **tokens:** Updated blue-200 to newer color ([#365](https://github.com/lightspeedretail/cirrus/issues/365)) ([53ab86c](https://github.com/lightspeedretail/cirrus/commit/53ab86c))

<a name="2.4.0"></a>

# [2.4.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.3.2...@lightspeed/cirrus-tokens@2.4.0) (2018-02-09)

### Features

- add flag component ([#351](https://github.com/lightspeedretail/cirrus/issues/351)) ([9ce1fdb](https://github.com/lightspeedretail/cirrus/commit/9ce1fdb)), closes [#276](https://github.com/lightspeedretail/cirrus/issues/276)

<a name="2.3.2"></a>

## [2.3.2](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.3.0...@lightspeed/cirrus-tokens@2.3.2) (2018-01-08)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.3.1"></a>

## [2.3.1](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.3.0...@lightspeed/cirrus-tokens@2.3.1) (2018-01-08)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.3.0"></a>

# [2.3.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.2.1...@lightspeed/cirrus-tokens@2.3.0) (2017-12-12)

### Features

- **button:** Add positioning support for childrens ([#284](https://github.com/lightspeedretail/cirrus/issues/284)) ([20f40ed](https://github.com/lightspeedretail/cirrus/commit/20f40ed))

<a name="2.2.1"></a>

## [2.2.1](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.2.0...@lightspeed/cirrus-tokens@2.2.1) (2017-11-24)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.2.0"></a>

# [2.2.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.1.3...@lightspeed/cirrus-tokens@2.2.0) (2017-11-09)

### Features

- **tokens:** add background-color and border-color classes ([#227](https://github.com/lightspeedretail/cirrus/issues/227)) ([7488337](https://github.com/lightspeedretail/cirrus/commit/7488337))

<a name="2.1.3"></a>

## [2.1.3](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.1.2...@lightspeed/cirrus-tokens@2.1.3) (2017-10-25)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.1.2"></a>

## [2.1.2](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.1.1...@lightspeed/cirrus-tokens@2.1.2) (2017-10-02)

**Note:** Version bump only for package @lightspeed/cirrus-tokens

<a name="2.1.1"></a>

## [2.1.1](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.1.0...@lightspeed/cirrus-tokens@2.1.1) (2017-09-22)

### Bug Fixes

- **tokens:** update dive color ([#162](https://github.com/lightspeedretail/cirrus/issues/162)) ([9e6c365](https://github.com/lightspeedretail/cirrus/commit/9e6c365))

<a name="2.1.0"></a>

# [2.1.0](https://github.com/lightspeedretail/cirrus/compare/@lightspeed/cirrus-tokens@2.0.0...@lightspeed/cirrus-tokens@2.1.0) (2017-07-12)

### Features

- add label component (#63) ([af0dbea](https://github.com/lightspeedretail/cirrus/commit/af0dbea))

<a name="2.0.0"></a>

# 2.0.0 (2017-07-04)

### Bug Fixes

- add publishConfig access public to packages ([011e61e](https://github.com/lightspeedretail/cirrus/commit/011e61e))
- make packages public ([208da2f](https://github.com/lightspeedretail/cirrus/commit/208da2f))

### Features

- **button:** Add Button Component (#44) ([14b8d4b](https://github.com/lightspeedretail/cirrus/commit/14b8d4b))
