import { parseToRgb } from 'polished';
import { pxToRem } from './utils';
import { colorsMap } from './colors';

var _parseToRgb = parseToRgb(colorsMap.night),
    red = _parseToRgb.red,
    green = _parseToRgb.green,
    blue = _parseToRgb.blue;

var outerValues = [{
  y: 1,
  blur: 2
}, {
  y: 2,
  blur: 4
}, {
  y: 3,
  blur: 6
}, {
  y: 6,
  blur: 12
}, {
  y: 12,
  blur: 24
}];
var outer = outerValues.reduce(function (obj, _ref, index) {
  var y = _ref.y,
      blur = _ref.blur;
  var scale = index + 1; // eslint-disable-next-line no-param-reassign

  obj["shadow-".concat(scale)] = "0 ".concat(pxToRem(y), " ").concat(pxToRem(blur), " rgba(").concat(red, ", ").concat(green, ", ").concat(blue, ", 0.15)");
  return obj;
}, {});
var innerValues = [{
  y: 1,
  blur: 2,
  r: 56,
  g: 61,
  b: 61,
  alpha: '0.1'
}, {
  y: 0,
  blur: 6
}];
var inner = innerValues.reduce(function (obj, _ref2, index) {
  var y = _ref2.y,
      blur = _ref2.blur,
      r = _ref2.r,
      g = _ref2.g,
      b = _ref2.b,
      alpha = _ref2.alpha;
  var scale = index + 1;
  var defaultAlpha = '0.18';
  var shadowColor = "rgba(".concat(r || red, ", ").concat(g || green, ", ").concat(b || blue, ", ").concat(alpha || defaultAlpha, ")"); // eslint-disable-next-line no-param-reassign

  obj["inner-shadow-".concat(scale)] = "inset 0 ".concat(pxToRem(y), " ").concat(pxToRem(blur), " ").concat(shadowColor);
  return obj;
}, {});
var innerNValues = [{
  y: -1,
  blur: 3
}];
var innerN = innerNValues.reduce(function (obj, _ref3, index) {
  var y = _ref3.y,
      blur = _ref3.blur;
  var scale = index + 1; // eslint-disable-next-line no-param-reassign

  obj["inner-shadow-n".concat(scale)] = "inset 0 ".concat(pxToRem(y), " ").concat(pxToRem(blur), " rgba(").concat(red, ", ").concat(green, ", ").concat(blue, ", 0.18)");
  return obj;
}, {});
var borderValues = [{
  spread: 1
}];
var border = borderValues.reduce(function (obj, _ref4) {
  var spread = _ref4.spread;
  // eslint-disable-next-line no-param-reassign
  obj["border-shadow"] = "0 0 0 ".concat(pxToRem(spread), " rgba(").concat(red, ", ").concat(green, ", ").concat(blue, ", 0.15)");
  return obj;
}, {});
export { outer, inner, innerN, border };