import { pxToRem } from './utils';
var typeface = {
  serif: 'serif',
  'sans-serif': 'Lato, Helvetica Neue, Helvetica, Arial, sans-serif',
  monospace: 'monospace'
};
var weightsValues = [{
  name: 'regular',
  value: 400
}, {
  name: 'bold',
  value: 700
}];
var weights = weightsValues.reduce(function (obj, _ref) {
  var name = _ref.name,
      value = _ref.value;
  // eslint-disable-next-line no-param-reassign
  obj["".concat(name)] = "".concat(value);
  return obj;
}, {});
var fontSizesValues = [{
  name: 'xxl',
  alias: 'xxlarge',
  value: 36
}, {
  name: 'xl',
  alias: 'xlarge',
  value: 24
}, {
  name: 'l',
  alias: 'large',
  value: 18
}, {
  name: '',
  alias: '',
  value: 16
}, {
  name: 's',
  alias: 'small',
  value: 14
}, {
  name: 'xs',
  alias: 'xsmall',
  value: 12
}, {
  name: 'xxs',
  alias: 'xxsmall',
  value: 8
}];
var fontSizes = fontSizesValues.reduce(function (obj, _ref2) {
  var name = _ref2.name,
      value = _ref2.value;
  // eslint-disable-next-line no-param-reassign
  obj["text".concat(name ? "-".concat(name) : '')] = pxToRem(value);
  return obj;
}, {});
var fontSizeAliases = fontSizesValues.reduce(function (obj, _ref3) {
  var alias = _ref3.alias,
      value = _ref3.value;
  // eslint-disable-next-line no-param-reassign
  obj[alias] = pxToRem(value);
  return obj;
}, {});
var letterSpacingValues = ['normal', 0.5, 1.0, 1.5];
var letterSpacings = letterSpacingValues.reduce(function (obj, value, index) {
  var key = typeof value === 'string' ? value : index;
  var nextValue = typeof value === 'string' ? value : pxToRem(value); // eslint-disable-next-line no-param-reassign

  obj["letter-spacing-".concat(key)] = nextValue;
  return obj;
}, {});
export { typeface, weights, fontSizes, fontSizeAliases, letterSpacings };