"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.commonTheme = void 0;

var _index = require("../index");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var commonTheme = {
  breakpoints: ['601px', '1024px'],
  fontFamily: _index.typography.typeface,
  space: Object.values(_index.spacing.scale),
  lineHeights: Object.values(_index.spacing.scale),
  fontSizes: _objectSpread({}, _index.typography.fontSizes, _index.typography.fontSizeAliases),
  fontWeights: _index.typography.weights,
  letterSpacings: _toConsumableArray(Object.values(_index.typography.letterSpacings)),
  shadows: Object.values(_index.shadows.outer),
  innerShadows: Object.values(_index.shadows.inner),
  innerShadowsN: Object.values(_index.shadows.innerN),
  borderShadows: Object.values(_index.shadows.border),
  radii: _index.radii.values,
  transition: _index.transition.durations
};
exports.commonTheme = commonTheme;