"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cssUnitFromSize = exports.pxToRem = void 0;

var pxToRem = function pxToRem(value) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$base = _ref.base,
      base = _ref$base === void 0 ? 16 : _ref$base,
      _ref$decimals = _ref.decimals,
      decimals = _ref$decimals === void 0 ? 5 : _ref$decimals;

  if (value === 0) return '0';
  var result = parseFloat((value / base).toFixed(decimals));
  return "".concat(result, "rem");
};

exports.pxToRem = pxToRem;

var cssUnitFromSize = function cssUnitFromSize(size) {
  return size.replace(/.+?([^\d]+$)/, '$1');
};

exports.cssUnitFromSize = cssUnitFromSize;